/* ********* Start Form section ************ */
.formContainer {    
    width: 100%;
    position: absolute;

    display: flex;
    flex-direction: column;
    justify-content: flex-start; 
    align-items: center;
    padding-top: 12rem; 
}
 .modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    font-size: 2rem;
    color: var(--color-black);
    background: transparent;
    border: none;
    cursor: pointer;
    z-index: 10;
}

.modal-close:hover {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 2rem;
  color: var(--color-gold);
  background: transparent;
  border: none;
  cursor: pointer;
  z-index: 10;
}    
.apptConfirm {               
    width: 55%;
    padding: 3% 3% 3% 3%;
    position:relative;
    display: flex;
    flex-direction: column;
    justify-content: center;           
    background-color: var(--color-white);
    box-shadow: 0 3px 3px #c7c7c7; 
    font-family: var(--font-primary);         
}
.input-group {
  display: flex;
  align-items: center;
  gap: 0.5rem; 
  margin-bottom: 3rem; 
  border: 1px solid #ccc;
}
.modal-icon {
  width: 30px;
  height: 30px;  
  padding: 4px;
  border-radius: 4px;
}
.input-group input {
  flex: 1;
  height: 40px;
  border: 1px solid #ccc;
  background-color: var(--color-white);
  padding: 0 0.75rem;
}
input:focus {
  background-color: #fff8e1; 
  outline: none;             /* optional: removes default blue border */
  border: 1px solid var(--color-gold); /* optional: highlight border */
}
input[type=text], select { 
    background-color: var(--color-white);
}
            
.apptConfirm {
    display: none;
}
.apptConfirm.apptConfirm--visible-active {
    display: flex;
    z-index:5;
    
}
.removeOnClicked {
    color: var(--color-black);
    font-size: 1.5rem;
    padding-bottom: 2.5rem;
    text-align: center;
     font-family: var(--font-seconday);
}

.content-panel--visible-active {
    
    display:none;
}
.logo-panel--visible-active {
    display: none;
}
.signatureStyles {
    height:40px;
}
.btnContainer {
    display:block;
}
.submit {
    width: 100px;          
    padding: 0.75rem 1.5rem;
    border: 2px solid var(--color-gold);   
    background: var(--color-gold);
    color: white;
    box-shadow: 0 3px 3px #c7c7c7;
    cursor: pointer;
    margin: 3% 0 0 0;       
}
.submit:hover {
    width: 100px;          
    padding: 0.75rem 1.5rem;
    border: 2px solid var(--color-black);    
    background: var(--color-black);
    color: var(--color-white);
    box-shadow: 0 3px 3px #c7c7c7;
    cursor: pointer;
    margin: 3% 0 0 0;       
}
.clearForm {
    width: 100px;        
    padding: 0.75rem 1.5rem;
    border: 2px solid var(--color-gold);    
    background: var(--color-white);
    color: var(--color-gold);
    box-shadow: 0 3px 3px #c7c7c7;
    cursor: pointer;
    margin: 3% 0 0 2%;
}
.clearForm:hover {
    width: 100px;        
    padding: 0.75rem 1.5rem;
    border: 2px solid var(--color-black);    
    background: var(--color-black);
    color: var(--color-white);
    box-shadow: 0 3px 3px #c7c7c7;
    cursor: pointer;
    margin: 3% 0 0 2%;
}

/* ********* End Form section ************ */
/* media queries */

@media screen and (min-width: 601px) and (max-width: 900px) {
    .modal-close {
        top: 0.5rem;
        right: 1.0rem;   
  }
}

@media screen and (min-width: 450px) and (max-width: 600px) {
    .removeOnClicked {
        color: var(--color-black);
        font-size: 1.0rem;
        padding: 1rem 0 0.75rem 0;
        text-align: center;
        font-family: var(--font-seconday);
    }
  .modal-close {
    top: 0.5rem;
    right: 1.0rem;
    font-size: 1.5rem;
  }
  .modal-close:hover {
    color: var(--color-gold);
  }
}
@media screen and (max-width: 449px) {    
    .formContainer {
        height: 100vh;
        width: 100%;
        position: absolute;

        display: flex;
        flex-direction: column;
        justify-content: flex-start; 
        align-items: center;
        padding-top: 12rem; 
    }   

.removeOnClicked {
        font-size: 1rem;
        padding: 0.5rem 0 1rem 0;
    }
    .apptConfirm {
        width: 90%;
        height: auto; 
        padding: 1.5rem;
    }

    .input-group {
        margin-bottom: 1.25rem;
    }
    .modal-close {
    top: 0.2rem;
    right: 0.5rem;
    font-size: 1.75rem;
  }
  .modal-close:hover {
    color: var(--color-gold);
  }
   
    img.modal-icon {
        display: none;
    }   
    
    .input-group input {        
        flex: 1;
        height: 40px;
        border: 1px solid #ccc;
        background-color: var(--color-white);
        padding: 0 0.25rem;        
    }
    .email {
        padding: 0;
        margin: 0;
    }       
    
    .emailError {
        padding: 0;
        margin: 0;
    }
}